module.exports = {
  create: {
    requestBody: [
      "dockid",
      "login_role",
      "login_name",
      "operation_edit",
      "operation_result",
      "type",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "dockid",
      "login_role",
      "login_name",
      "operation_edit",
      "operation_result",
      "type",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [
      "dockid",
      "login_role",
      "login_name",
      "operation_edit",
      "operation_result",
      "type",
      "remark",
      ],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
