module.exports = {
  create: {
    requestBody: [
      "!userid",
      "status",
      "is_del",
      "!totaltype",
      "is_display",
      "!name",
      "product_type_id",
      "product_type_name",
      "introduction",
      "phase",
      "price",
      "priceunit",
      "image",
      "product_args",
      "field",
      "scope",
      "coopermode",
      "business",
      "budget",
      "end_date",
      "difficult_problem",
      "demand",
      "company",
      "address",
      "team",
      "property",
      "mature",
      "coopercompany",
      "other",
      "!contact_user",
      "!contact_tel",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "userid",
      "status",
      "is_del",
      "totaltype",
      "is_display",
      "name",
      "product_type_id",
      "product_type_name",
      "introduction",
      "phase",
      "price",
      "priceunit",
      "image",
      "product_args",
      "field",
      "scope",
      "coopermode",
      "business",
      "budget",
      "end_date",
      "difficult_problem",
      "demand",
      "company",
      "address",
      "team",
      "property",
      "mature",
      "coopercompany",
      "other",
      "contact_user",
      "contact_tel",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        userid: "userid",
        status: "status",
        is_del: "is_del",
        totaltype: "totaltype",
        is_display: "is_display",
        name: "%name%",
        product_type_id: "product_type_id",
        product_type_name: "product_type_name",
        introduction: "introduction",
        phase: "phase",
        price: "price",
        priceunit: "priceunit",
        image: "image",
        product_args: "product_args",
        field: "field",
        scope: "scope",
        coopermode: "coopermode",
        business: "business",
        budget: "budget",
        end_date: "end_date",
        difficult_problem:"difficult_problem",
        demand: "demand",
        company: "company",
        address: "address",
        team: "team",
        property: "property",
        mature: "mature",
        coopercompany: "coopercompany",
        other: "other",
        contact_user: "contact_user",
        contact_tel: "contact_tel",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
