module.exports = {
  create: {
    requestBody: [
      "!name",
      "!password",
      "cardnumber",
      "phone",
      "email",
      "addr",
      "img_path",
      "is_qy",
      "cardfile_a",
      "cardfile_b",
      "img_qy",
      "resume",
      "major",
      "institution_type",
      "institution_name",
      "institution_code",
      "institution_nature",
      "office_phone",
      "profession",
      "status",
      "is_del",
      "role",
      "token",
      'deptname',
      'pid',
      'code',
      "columnid",
      "openid"
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "password",
      "cardnumber",
      "phone",
      "email",
      "addr",
      "img_path",
      "is_qy",
      "cardfile_a",
      "cardfile_b",
      "img_qy",
      "resume",
      "major",
      "institution_type",
      "institution_name",
      "institution_code",
      "institution_nature",
      "office_phone",
      "profession",
      "status",
      "is_del",
      "role",
      "token",
      'deptname',
      'pid',
      'code',
      "columnid",
      "openid"
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        password: "password",
        cardnumber: "cardnumber",
        phone: "phone",
        email: "email",
        addr: "addr",
        img_path: "img_path",
        is_qy: "is_qy",
        cardfile_a: "cardfile_a",
        cardfile_b: "cardfile_b",
        img_qy: "img_qy",
        resume: "resume",
        major: "major",
        institution_type: "institution_type",
        institution_name: "institution_name",
        institution_code: "institution_code",
        institution_nature: "institution_nature",
        office_phone: "office_phone",
        profession: "profession",
        status: "status",
        is_del: "is_del",
        role: "role",
        token: "token",
        deptname: 'deptname',
        pid: 'pid',
        code: 'code',
        columnidg :"columnid",
        openid:"openid"
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["phone", "password", "role"],
    service: "login",
  },
};
