module.exports = {
  create: {
    requestBody: [
      '!expert_id',
      'expertname',
      '!userid',
      'username',
      'description',
      'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'expertid',
      'expertname',
      'userid',
      'username',
      'description',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        product_id :'expert_id',
        userid :'userid',
        result :'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
