'use strict';

const _ = require('lodash');
const meta = require('./.expertsuser.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 专家用户管理
class ExpertsuserController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.expertsuser;
  }

  // 个人升级成专家
  async upgrade() {
    const data = await this.service.upgrade(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ data });
  }

}

module.exports = CrudController(ExpertsuserController, meta);
