'use strict';

const _ = require('lodash');
const meta = require('./.productpact.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 产品合同表管理
class ProductpactController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.productpact;
  }

  async findpact() {
    const data = await this.service.findpact(this.ctx.params);
    this.ctx.ok({ data });
  }

}

module.exports = CrudController(ProductpactController, meta);
