'use strict';

const _ = require('lodash');
const meta = require('./.transaction.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 交易记录表管理
class TransactionController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.transaction;
  }

  async findTransactionList() {
    const data = await this.service.findTransactionList(this.ctx.request.body);
    // this.ctx.ok({ ...res });
    this.ctx.ok({ data });
  }
}

module.exports = CrudController(TransactionController, meta);
