'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 产品类型表
const ProtypeSchema = {
  name: { type: String, required: true, maxLength: 500 }, // 类别名称
};

const schema = new Schema(ProtypeSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Protype', schema, 'market_protype');
};
