'use strict';


const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class ProductpactService extends CrudService {
  constructor(ctx) {
    super(ctx, 'market_product_pact');
    this.model = this.ctx.model.Productpact;
  }

  async findpact({ id }) {
    const res = await this.model.findOne({ transaction_id: id });
    return res;
  }

}

module.exports = ProductpactService;
